Bug 12586 - netlogon_creds_cli_LogonSamLogon doesn't work without netr_LogonSamLogonEx
netlogon_creds_cli_LogonSamLogon doesn't work without netr_LogonSamLogonEx
Status: RESOLVED FIXED
Product: Samba 4.1 and newer
Classification: Unclassified
Component: Winbind
4.6.0rc2
All All
: P5 normal
: ---
Assigned To: Karolin Seeger
Samba QA Contact
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2017-02-15 22:00 UTC by Stefan Metzmacher
Modified: 2017-03-02 08:03 UTC (History)
2 users (show)

See Also:


Attachments
Possible patch for master (1.08 KB, patch)
2017-02-15 23:24 UTC, Stefan Metzmacher
no flags Details
Patch for v4-6-test (2.51 KB, patch)
2017-02-22 17:50 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-5-test (2.51 KB, patch)
2017-02-22 17:52 UTC, Stefan Metzmacher
slow: review+
Details
Patch for v4-4-test (2.51 KB, patch)
2017-02-22 17:52 UTC, Stefan Metzmacher
slow: review+
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Stefan Metzmacher 2017-02-15 22:00:30 UTC
The code path without netr_LogonSamLogonEx uses the wrong netlogon_creds_CredentialState structure.
Comment 1 Stefan Metzmacher 2017-02-15 23:24:42 UTC
Created attachment 12945 [details]
Possible patch for master
Comment 2 Stefan Metzmacher 2017-02-22 17:50:32 UTC
Created attachment 12963 [details]
Patch for v4-6-test
Comment 3 Stefan Metzmacher 2017-02-22 17:52:01 UTC
Created attachment 12964 [details]
Patch for v4-5-test
Comment 4 Stefan Metzmacher 2017-02-22 17:52:29 UTC
Created attachment 12965 [details]
Patch for v4-4-test
Comment 5 Ralph Böhme 2017-02-22 17:57:37 UTC
Reassigning to Karolin for inclusion in 4.4, 4.5 and 4.6
Comment 6 Karolin Seeger 2017-02-24 08:39:59 UTC
(In reply to Ralph Böhme from comment #5)
Pushed to autobuild-v4-{6,5,4}-test.
Comment 7 Karolin Seeger 2017-03-02 08:03:13 UTC
(In reply to Karolin Seeger from comment #6)
Pushed to all branches.
Closing out bug report.

Thanks!